Re: JDK 8 Minimum Requirement for Maven Resolver 2.0

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Re: JDK 8 Minimum Requirement for Maven Resolver 2.0

olamy
+1 Java8 finally....

On Sun, 10 May 2020 at 06:13, Sylwester Lachiewicz <[hidden email]>
wrote:

> Hi to all,
>
> based on the previous vote to require Java 8 for Maven Core - I would like
> to propose setting the same minimum for Maven Resolver 2.0
>
> Maven Resolver is a base component to solve dependencies for Maven. It can
> also be used separately from Maven for other projects.
> Because Java 7 updates are no longer available, the market is also moving
> towards using the newer version of Java 8/11.
> Practically the Core requirement means that Resolver has little chance of
> being used in Java 7 (see tricks to connect to Central).
>
> Benefits - more programmers can practice coding while improving our
> codebase.
>
> What's your opinion on the subject?
>
> https://maven.apache.org/resolver/
>
> Kind regards
> Sylwester
>


--
Olivier Lamy
http://twitter.com/olamy | http://linkedin.com/in/olamy